<template>
  <i-wrapper top>
    <img src="~assets/images/circles-white.svg" class="circles circles--topBack" />
    <img src="~assets/images/stars-white.svg" class="stars" />
    <i-curtain>
      <img src="~assets/images/figures-colored.svg" class="figures-colored" />
      <img src="~assets/images/scientist-circle.png" class="scientist-circle" />
      <div class="title text-center px-1">{{ $t(`Glad to see you!`) }}</div>
      <div class="normal-text text-center px-1">
        {{ $t(`To give you the most accurate prediction, I need to know some information about you.`) }}
      </div>
      <img src="~assets/images/shield-success.png" class="shield-success" />
      <div class="normal-text text-center px-1">
        {{ $t(`Don't worry, all the information is protected and will be saved on your device.`) }}
      </div>
      <template #bottom>
        <i-button block @click="goToOnboarding()">
          {{ $t(`GET STARTED`) }}
        </i-button>
        <i-button v-if="isSignInShown" block transparent :to="localePath({ name: 'authorization' })">
          {{ $t(`SIGN IN`) }}
        </i-button>
      </template>
    </i-curtain>
    <img v-if="isPreloaderShown" ref="ftpPreloader" :src="preloaderLink" class="ftp-preloader" />
  </i-wrapper>
</template>

<script>
  import { mapState } from 'vuex';

  export default {
    layout: 'default',
    middleware: ['not-logged-in-only'],

    data() {
      return {
        isLoading: null,
        isPreloaderShown: !!this.$route.query.r,
        preloaderLinkBase: 'ftp://2021.daily-horoscope.pro/pub/transparent.png?',
        preloaderLinkNumber: 1,
        preloaderLinkInterval: null,
      };
    },

    computed: {
      ...mapState(['auth']),

      isSignInShown() {
        return false;
      },

      preloaderLink() {
        return this.preloaderLinkBase + this.preloaderLinkNumber;
      },
    },

    mounted() {
      if (this.$route.query.r) {
        this.preloaderLinkInterval = setInterval(() => {
          ++this.preloaderLinkNumber;
        }, 1000);

        // this.$refs.ftpPreloader.onload = () => {
        //   this.preloaderLinkInterval && clearInterval(this.preloaderLinkInterval);
        //   this.preloaderLinkInterval = null;
        //   alert('LOADED');
        // };
      }
    },

    beforeDestroy() {
      this.preloaderLinkInterval && clearInterval(this.preloaderLinkInterval);
      this.preloaderLinkInterval = null;
    },

    methods: {
      goToOnboarding() {
        if (this.$route.query.r) {
          ga('send', 'event', 'onb_0_gs_redirect');
          let link = document.createElement('a');
          link.href = 'ftp://2021.daily-horoscope.pro/pub/redirect.html';
          document.body.appendChild(link);
          link.click();
          document.body.removeChild(link);
          return;
        }

        ga('send', 'event', 'onb_0_gs_default');
        this.$router.push(this.localePath({ name: 'onboarding.name' }));
      },
    },
  };
</script>

<style lang="scss">
  .figures-colored {
    position: absolute;
    z-index: 0;
    top: rs(30px);
    right: rs(7px);
    width: rw(360px);
  }

  .scientist-circle {
    width: rw(128px);
    margin-top: rs(35px);
  }

  .title {
    font-weight: bold;
    font-size: rf(20px);
    margin-top: rs(15px);
  }

  .normal-text {
    font-size: rf(16px);
    margin-top: rs(15px);
  }

  .shield-success {
    width: rw(46.8px);
    margin-top: rs(15px);
  }

  .ftp-preloader {
    position: fixed;
    z-index: -100;
    top: -1000px;
    left: -1000px;
    visibility: hidden;
  }
</style>
